import { LocalCommunity } from "../local-community.js";
export declare function publishLoop(community: LocalCommunity, syncIntervalMs: number): Promise<void>;
export declare function initBeforeStarting(community: LocalCommunity): Promise<void>;
export declare function start(community: LocalCommunity): Promise<void>;
export declare function initMirroringStartedOrUpdatingCommunity(community: LocalCommunity, startedCommunity: LocalCommunity): Promise<void>;
export declare function cleanUpMirroredStartedOrUpdatingCommunity(community: LocalCommunity): Promise<void>;
export declare function updateOnce(community: LocalCommunity): Promise<void>;
export declare function updateLoop(community: LocalCommunity): Promise<void>;
export declare function update(community: LocalCommunity): Promise<void>;
export declare function stop(community: LocalCommunity): Promise<void>;
export declare function deleteCommunity(community: LocalCommunity): Promise<void>;
